import os
from pathlib import Path
import duckdb
from enum import Enum

class Data(str, Enum):
    Titles = 'titles'

def data_dir():
    return Path(os.environ['DATA_MINING_DATA_DIR'])

def connect():
    DATA_DIR = Path(os.environ['DATA_MINING_DATA_DIR'])
    # APP_DIR = Path(os.environ['DATA_MINING_APP_DIR'])
    DB = duckdb.connect(str(DATA_DIR / 'project.duckdb'))
    return DB

def from_db(t: Data):
    DATA_DIR = Path(os.environ['DATA_MINING_DATA_DIR'])
    # APP_DIR = Path(os.environ['DATA_MINING_APP_DIR'])
    DB = duckdb.connect(str(DATA_DIR / 'project.duckdb'))
    if t == Data.Titles:
        table = DB.sql("""
            select
                distinct
                title 
            from stories
            limit 100
        """).df()
    return table
