import requests
import click
from data import connect
import seaborn as sns
import matplotlib.pyplot as plt

DB = connect()

DB.sql("""
with cte as (
    select 
        count(1) as cnt 
    from stories 
    group by url, outlet
)
select
    cast(sum(cnt) filter (where cnt = 1) as float)
    / sum(cnt) filter (where cnt > 1) as dups
from cte
""")

sns.histplot(x=hist['cnt'])
plt.show()
